| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Structures | Functions | Variables
NXP LPC1769 Xpresso board system init code
NXP LPC1769 Xpresso board support functions

## Detailed Description

The System initialization code is called prior to the application and initializes the board for run-time operation. Board initialization includes clock setup and default pin muxing configuration.

With the exception of stack space, no RW memory is used for this call.

Xpresso LPC1769 board setup
Clocking:
CPU setup for 120MHz of main oscillator and PLL0
USB setup for 48MHz
Pin muxing:
Sets up various pin mux functions for the board (Ethernet, LEDs, etc.)
Memory:
There is no memory setup for this board.

## Data Structures
struct | PINMUX_GRP_T

## Functions
STATIC void | SystemSetupClocking (void)
STATIC void | SystemSetupMuxing (void)
void | SystemInit (void)
| Setup the system.

## Variables
STATIC const PINMUX_GRP_T | pinmuxing []

## Function Documentation

void SystemInit | ( | void |  | ) |

Setup the system.

Returns
  none

Note
  SystemInit() is called prior to the application and sets up system clocking, memory, and any resources needed prior to the application starting.

Definition at line 186 of file sysinit_nxp_xpresso_1769.c.

STATIC void SystemSetupClocking | ( | void |  | ) |

Definition at line 97 of file sysinit_nxp_xpresso_1769.c.

STATIC void SystemSetupMuxing | ( | void |  | ) |

Definition at line 164 of file sysinit_nxp_xpresso_1769.c.

## Variable Documentation

STATIC const PINMUX_GRP_T pinmuxing[]

Initial value:
= {
{0, 0, IOCON_MODE_INACT, IOCON_FUNC2},
{0, 1, IOCON_MODE_INACT, IOCON_FUNC2},
{0, 4, IOCON_MODE_INACT, IOCON_FUNC2},
{0, 5, IOCON_MODE_INACT, IOCON_FUNC2},
{0, 22, IOCON_MODE_INACT, IOCON_FUNC0},
{0, 23, IOCON_MODE_INACT, IOCON_FUNC1},
{0, 26, IOCON_MODE_INACT, IOCON_FUNC2},
{0x1, 0, IOCON_MODE_INACT, IOCON_FUNC1},
{0x1, 1, IOCON_MODE_INACT, IOCON_FUNC1},
{0x1, 4, IOCON_MODE_INACT, IOCON_FUNC1},
{0x1, 8, IOCON_MODE_INACT, IOCON_FUNC1},
{0x1, 9, IOCON_MODE_INACT, IOCON_FUNC1},
{0x1, 10, IOCON_MODE_INACT, IOCON_FUNC1},
{0x1, 14, IOCON_MODE_INACT, IOCON_FUNC1},
{0x1, 15, IOCON_MODE_INACT, IOCON_FUNC1},
{0x1, 16, IOCON_MODE_INACT, IOCON_FUNC1},
{0x1, 17, IOCON_MODE_INACT, IOCON_FUNC1},
}

Definition at line 67 of file sysinit_nxp_xpresso_1769.c.